# Invocation_Endpoint_Selectors.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Versioned_Namespace.h"`
`#include "ace/CORBA_macros.h"`

Include dependency graph for Invocation_Endpoint_Selectors.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | CORBA

## Classes

class | TAO_Invocation_Endpoint_Selector
| Defines the interface for policy-based endpoint selection strategies. More...
class | TAO_Default_Endpoint_Selector
| Default strategy for endpoint selection. More...

## Detailed Description

Id
  Invocation_Endpoint_Selectors.h,v 1.23 2005/11/24 11:05:45 ossama Exp

Strategies for selecting profile/endpoint from an IOR for making an invocation.

Author:
  Marina Spivak <marina@cs.wustl.edu>